> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List phone numbers attached to the assistant

> List all phone numbers attached to the target assistant. Optionally filter to a single environment by passing `environmentIDorAlias`.



## OpenAPI

````yaml /specs/realtime/openapi.public.json get /v1alpha1/project/{projectID}/phone-numbers
openapi: 3.0.0
info:
  title: Realtime
  description: Realtime gateway API service
  version: 1.0.0
  contact: {}
servers:
  - url: https://realtime-api.voiceflow.com
security: []
paths:
  /v1alpha1/project/{projectID}/phone-numbers:
    get:
      tags:
        - EnvironmentPublicApi
        - Public-Docs
      summary: List phone numbers attached to the assistant
      description: >-
        List all phone numbers attached to the target assistant. Optionally
        filter to a single environment by passing `environmentIDorAlias`.
      operationId: ProjectEnvironmentApiPublicHTTPController_findPhoneNumbers
      parameters:
        - name: projectID
          required: true
          in: path
          description: ID of the project that owns the environments.
          schema:
            type: string
        - name: environmentIDorAlias
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: The phone numbers attached to the assistant.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectPhoneNumber'
      security:
        - auth: []
components:
  schemas:
    ProjectPhoneNumber:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        provider:
          $ref: '#/components/schemas/PhoneNumberProvider'
        createdAt:
          type: string
        updatedAt:
          type: string
        phoneNumber:
          type: string
        workspaceID:
          type: string
        assistantID:
          nullable: true
          type: string
        environmentID:
          nullable: true
          type: string
        versionVariant:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/VersionVariant'
        projectEnvironmentID:
          nullable: true
          type: string
        providerPhoneNumberID:
          type: string
        environmentAlias:
          nullable: true
          type: string
      required:
        - id
        - name
        - provider
        - createdAt
        - updatedAt
        - phoneNumber
        - workspaceID
        - assistantID
        - environmentID
        - versionVariant
        - projectEnvironmentID
        - providerPhoneNumberID
        - environmentAlias
    PhoneNumberProvider:
      type: string
      enum:
        - twilio
        - vonage
        - telnyx
        - voiceflow-telnyx
        - voiceflow-sip
        - byo-sip
      x-enumNames:
        - TWILIO
        - VONAGE
        - TELNYX
        - VOICEFLOW_TELNYX
        - VOICEFLOW_SIP
        - BYO_SIP
    VersionVariant:
      type: string
      enum:
        - draft
        - published
      x-enumNames:
        - DRAFT
        - PUBLISHED
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````